av1_ref_frame Struct Reference
Supported Codecs » AOM

AV1 specific reference frame data struct. More...

`#include <aom.h>`

## Data Fields

int | idx
int | use_external_ref
aom_image_t | img

## Detailed Description

AV1 specific reference frame data struct.

Define the data struct to access av1 reference frames.

## Field Documentation

## idx

int av1_ref_frame::idx

frame index to get (input)

## use_external_ref

int av1_ref_frame::use_external_ref

Directly use external ref buffer(decoder only)

## img

aom_image_t av1_ref_frame::img

img structure to populate (output)

The documentation for this struct was generated from the following file:

- aom/aom.h